@charset 'utf-8';
/* ==========================================================================
Author        :  Arif Lutfhansah
Create        :  20 April 2018
Last Update   :  2 April 2020

Source  :
  1: Arif Framework The MIT License (MIT) Copyright (c) Arif Lutfhansah
  2: Bootstrap Framework The MIT License (MIT) Copyright (c) Bootstrap
  3: Materialize Framework The MIT License (MIT) Copyright (c) 2014-2017 Materialize

Contents  :
  1: Header Section

  Copyright (c) 2020 Arif Lutfhansah
  
========================================================================== */

$background-color: #EEBECE;
$font-white: #FFFFFF;

/*
  Transition
-------------------------------------*/
@mixin transition($time) {
  -webkit-transition: all $time ease-in-out;
     -moz-transition: all $time ease-in-out;
      -ms-transition: all $time ease-in-out;
       -o-transition: all $time ease-in-out;
          transition: all $time ease-in-out;
}
/*
  Animation Delay
-------------------------------------*/
@mixin animation-delay($time) {
  -webkit-animation-delay: $time;
     -moz-animation-delay: $time;
      -ms-animation-delay: $time;
       -o-animation-delay: $time;
          animation-delay: $time;
}

/*
  Header
-------------------------------------*/
/* --- Content --- */
header {
  position: relative;
  height: 220px;
  background-color: #499AE8;
  border-bottom-right-radius: 30px;
  z-index: 99;
  .container {
    padding: 0 20px;
  }
}
/* --- Navigation --- */
#navigation {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 10px 0 20px;
  #menu {
    position: absolute;
    top: 3px;
    left: 7px;
    height: 46px;
    width: 46px;
    &:hover {
      .menu-circle {
        -webkit-transform: scale(1.5);
        transform: scale(1.5);
      }
    }
    &.open {
      .menu-circle {
        position: fixed;
        -webkit-transform: scale(60);
        transform: scale(60);
      }
      .menu-line-1 {
        width: 15px;
        background-color: #C62828;
        -webkit-transform: translateY(7px) translateY(-50%) rotate(-45deg);
        transform: translateY(7px) translateY(-50%) rotate(-45deg);
      }
      .menu-line-3 {
        width: 15px;
        top: 11px;
        background-color: #C62828;
        -webkit-transform: translateY(-7px) translateY(50%) rotate(45deg);
        transform: translateY(-7px) translateY(50%) rotate(45deg);
      }
    }
    .menu-circle {
      position: absolute;
      top: -80px;
      left: -80px;
      background-color: #FFF;
      width: 100%;
      height: 100%;
      border-radius: 50%;
      -webkit-transform: scale(1);
      transform: scale(1);
      z-index: 1000;
      -webkit-transition: -webkit-transform 0.3s ease-in-out;
      transition: -webkit-transform 0.3s ease-in-out;
      transition: transform 0.3s ease-in-out;
      transition: transform 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out;
    }
    .menu-link {
      width: 100%;
      height: 100%;
      position: absolute;
      z-index: 1002;
    }
    .menu-icon {
      position: absolute;
      width: 20px;
      height: 14px;
      margin: auto;
      left: 0;
      top: 0;
      right: 0;
      bottom: 1px;
    }
    .menu-line {
      background-color: #FFF;
      height: 3px;
      width: 10px;
      border-radius: 2px;
      position: absolute;
      left: 0;
      -webkit-transition: all 0.25s ease-in-out;
      transition: all 0.25s ease-in-out;
    }
    .menu-line-2 {
      top: 0;
      bottom: 0;
      margin: auto;
    }
    .menu-line-3 {
      width: 18px;
      top: 7px;
    }
  }
}
/* --- Social Media Header --- */
#social-media-header {
  position: relative;
  top: 3px;
  margin-left: auto;
  .dot {
    height: 6px;
    width: 6px;
    background-color: #FFF;
    border-radius: 50%;
    display: inline-block;
  }
  .list {
    opacity: 0;
    position: absolute;
    width: 120px;
    top: 4px;
    right: 0;
    border-radius: 6px;
    z-index: 99;
    &.fade-in {
      opacity: 1;
      animation-name: fadeInOpacity;
      animation-iteration-count: 1;
      animation-timing-function: ease-in;
      animation-duration: 0.5s;
    }
    a {
      display: inline-block;
    }
    i {
      padding: 0 8px;
      color: #FFF;
      font-size: 15px;
    }
  }
}
/* --- Logo --- */
#logo {
  margin-bottom: 25px;
  img {
    width: 220px;
  }
}
/* --- Search --- */
#search {
  margin-bottom: 25px;
  .search-field {
    position: relative;
  }
  #search-input {
    width: 100%;
    height: 38px;
    margin: 0 auto;
    padding: 4px 15px 4px 48px;
    font-size: 14px;
    font-weight: 700;
    color: #1B4DA6;
    border: 1px solid #F4F7FE;
    border-radius: 30px;
    background-color: #F4F7FE;
    z-index: 99;
    transition: all .3s ease-in-out;
    &:focus {
      outline: none;
    }
    &:focus~button.btn-reset {
      z-index: 9;
    }
    &::placeholder {
      color: #499AE8;
    }
  }
  button {
    text-align: center;
    &:focus {
      outline: none;
    }    
  }
  .btn-search {
    position: absolute;
    top: 5px;
    left: 15px;
    width: 26px;
    height: 26px;
    padding: 4px;
    color: #499AE8;
    font-size: 15px;
    border: none;
    background-color: #F4F7FE;
    border-radius: 50%;
    z-index: 99;
    cursor: pointer;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
  }  
  .btn-reset {
    position: absolute;
    top: 6px;
    right: 8px;
    border: none;
    width: 20px;
    height: 20px;
    padding: 0;
    color: #1B4DA6;
    line-height: 20px;
    background-color: #F4F7FE;
    border: 1px solid #F4F7FE;
    border-radius: 50%;
    cursor: pointer;
    z-index: -1;
    &:before {
      position: relative;
      top: 1.4px;
      right: 2px;
      font-size: 14px;
    }
  }
}
/* --- Subkanal Menu --- */
#subkanal-menu {
  li {
    display: inline-block;
    padding-right: 3px;
  }
  a {
    padding: 4px 20px;
    color: #FAFEFC;
    font-size: 14px;
    font-weight: 700;
    border-radius: 30px;
    &.latest {
      background-color: #A29DD7;
    }
    &.about {
      background-color: #FCC388;
    }
  }
}
/* --- Menu Overlay --- */
#menu-overlay {
  position: fixed;
  top: 50px;
  width: 100%;
  height: 90%;
  padding-bottom: 30px;
  overflow: scroll;
  background-color: #FFF;
  text-align: center;
  -webkit-transition: opacity 0.2s ease-in-out;
  transition: opacity 0.2s ease-in-out;
  z-index: 9999;
  opacity: 0;
  visibility: hidden;
  &.open {
    opacity: 1;
    visibility: visible;
  }
  .logo-sindonews {
    margin-bottom: 20px;
    img {
      width: 240px;
    }
  }
  .list {
    margin: 5px 20px;
  }
  li {
    line-height: 50px;
    .menu {
      display: flex;
      width: 100%;
      flex-direction: row;
      justify-content: left;
      align-items: center;
      .icon-kanal {
        float: left;
        height: 48px;
        line-height: 48px;
        margin: 0 16px 0 0;
        width: 24px;
        font-size: 18px;
        color: rgba(0,0,0,0.54);
      }
      .icon-dropdown {
        float: right;
        margin-left: auto;
        text-align: right;
        font-family: "Font Awesome 5 Free"; 
        font-weight: 900; 
        content: "\f107";
        color: #A6A6A6;
        @include transition(.3s);
      }
    }
    a {
      padding: 0;
      font-size: 18px;
      color: #252525;
      &.active {
        font-weight: 700;
      }
      &:hover {
        background-color: #FFFFFF;
      }
      
    }
  }
  .submenu {
    display: none;
    padding-left: 40px;
    li {
      a {
        text-align: left;
      }
    }
  }
}
@keyframes fadeInOpacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/* --- Mask Header --- */
.mask-header {
  position: absolute;
  top: 203px;
  width: 50%;
  height: 40px;
  z-index: 9;
  text-indent: -9999px;
  background-color: #499AE8;
}
/* --- Detail --- */
#detail {
  header {
    top: 0;
    width: 100%;
    height: auto;
    padding: 15px 0 13px;
    .container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      #back-button {
        i {
          font-size: 18px;
        }
      }
      #comment {
        margin-left: auto;
        margin-right: 16px;
      }
      i {
        color: #FFFFFF;
      }
    }
  }
  .mask-header {
    top: 49px;
    width: 40%;
  }
}
